| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Properties | Private Attributes

# IG::Gr3d::VtkCurvePlot Class Reference

Handles 3D curve plots in VTK render window accessed through the VtkPlotter class. Generated contour plots are based on unstructured 1D meshes embedded in 3D. More...

Inheritance diagram for IG::Gr3d::VtkCurvePlot:
[legend]
Collaboration diagram for IG::Gr3d::VtkCurvePlot:
[legend]

List of all members.

## Public Member Functions
| VtkCurvePlot (VtkPlotter plotter)
| VtkCurvePlot (VtkPlotter plotter, UnstructuredMesh1d3d mesh)
void | SetBoundsReference (double minX, double maxX)
| Sets the bounds on reference coordinates used in generation of the surface grid.
void | SetCurveDefinition (IRealFunction fX, IRealFunction fY, IRealFunction fZ)
| Sets the definition of parametric curve in 3D.
void | SetCurveDefinition (IRealFunction funcY)
| Sets explicit definition of a curve as graph of a function of one variable in the XY plane.
void | ClearSurfaceDefinition ()
| Removes any eventual definition of surface by functions (either parametric or explicit).
override void | Create ()
| Creates the curve plot.
## Public Attributes
IFunc3d | _valueFunctionOfCoordinates = DefaultValueFunctionOfCoordinates
## Static Public Attributes
static int | DefaultNumX = 400
| Default number of surface gridpoints in the first grid direction (for structured grids).
static BoundingBox1d | DefaultBoundingBoxReference = new BoundingBox1d(-1, 1)
static IFunc3d | DefaultValueFunctionOfCoordinates = new Func3dZ()
| Default function that specifies how values assigned to points on the plotted curve are generated.
## Protected Member Functions
virtual void | PrepareMesh ()
| Prepares the mesh for curve plot.
## Properties
int | NumX`[get, set]`
| Number of nodes of the plotted curve. Used for construction of curve when the it is defined by functions.
BoundingBox1d | BoundsParameters`[get, set]`
| Bounds on reference parameters used for generation of the surface grid.
BoundingBox1d | BoundsPointValues`[get, set]`
| Bounds on values assigned to surface nodes.
IRealFunction | Function`[set]`
| Sets function of 1 variables whose graph is plotted in the XY plane. The specified function represents explicit definition of the curve in 2 dimensions (positioned in the XY plane).
IRealFunction | FunctionX`[get, set]`
| The first component of a 3D vector function of 1 parameter that acts as parametric definition of the plotted curve.
IRealFunction | FunctionY`[get, set]`
| The second component of a 3D vector function of 1 parameters that acts as parametric definition of the plotted curve.
IRealFunction | FunctionZ`[get, set]`
| The third component of a 3D vector function of 1 parameters that acts as parametric definition of the plotted curve.
IFunc3d | ValueFunctionOfCoordinates`[get, set]`
| 3D function that defines dependence of value assigned to points on the curve on coordinates of that point. This function is used to assign values to points on the curve, which can then be used for plotting curves in color.
UnstructuredMesh1d3d | Mesh`[get, set]`
string | ValuesFieldName`[get, set]`
| Name of the scalar field on the mesh where values assigned to grid points are stored. These values are assigned to the
## Private Attributes
int | _numX = DefaultNumX
BoundingBox1d | _boundsReference = DefaultBoundingBoxReference
BoundingBox1d | _boundsPointValues
IRealFunction | _functionX
IRealFunction | _functionY
IRealFunction | _functionZ
IFunc2d | _funcAuxX
IFunc2d | _funcAuxY
UnstructuredMesh1d3d | _mesh
string | _valuesFieldName = DefaultValuesFieldName

## Detailed Description

Handles 3D curve plots in VTK render window accessed through the VtkPlotter class.

Generated contour plots are based on unstructured 1D meshes embedded in 3D.

$A Igor xx Nov11;

## Constructor & Destructor Documentation

IG::Gr3d::VtkCurvePlot::VtkCurvePlot | ( | VtkPlotter | plotter | ) | `[inline]`

IG::Gr3d::VtkCurvePlot::VtkCurvePlot | ( | VtkPlotter | plotter,
|  | UnstructuredMesh1d3d | mesh
| ) |  | `[inline]`

## Member Function Documentation

void IG::Gr3d::VtkCurvePlot::SetBoundsReference | ( | double | minX,
|  | double | maxX
| ) |  | `[inline]`

Sets the bounds on reference coordinates used in generation of the surface grid.

Parameters:

  minX | Lower bound for the first coordinate.
  maxX | Upper bound for the first coordinate.
  minY | Lower bound for the second coordinate.
  maxY | Upper bound for the second coordinate.

void IG::Gr3d::VtkCurvePlot::SetCurveDefinition | ( | IRealFunction | fX,
|  | IRealFunction | fY,
|  | IRealFunction | fZ
| ) |  | `[inline]`

Sets the definition of parametric curve in 3D.

Parameters:

  fX | Function that specifies the first component of coordinate of a curve point dependent on parameters of the parametrically defined curve.
  fY | Function that specifies the second component of coordinate of a curcve point dependent on parameters of the parametrically defined curve.
  fZ | Function that specifies the third component of coordinate of a curve point dependent on parameters of the parametrically defined curve.

void IG::Gr3d::VtkCurvePlot::SetCurveDefinition | ( | IRealFunction | funcY | ) | `[inline]`

Sets explicit definition of a curve as graph of a function of one variable in the XY plane.

Parameters:

  funcY | Function that deines the dependence of Y coordinate of a point on the curve on X coordinate.

void IG::Gr3d::VtkCurvePlot::ClearSurfaceDefinition | ( |  | ) | `[inline]`

Removes any eventual definition of surface by functions (either parametric or explicit).

virtual void IG::Gr3d::VtkCurvePlot::PrepareMesh | ( |  | ) | `[inline, protected, virtual]`

Prepares the mesh for curve plot.

override void IG::Gr3d::VtkCurvePlot::Create | ( |  | ) | `[inline, virtual]`

Creates the curve plot.

Implements IG::Gr3d::VtkPlotBase.

## Member Data Documentation

int IG::Gr3d::VtkCurvePlot::DefaultNumX = 400`[static]`

Default number of surface gridpoints in the first grid direction (for structured grids).

int IG::Gr3d::VtkCurvePlot::_numX = DefaultNumX`[private]`

BoundingBox1d IG::Gr3d::VtkCurvePlot::DefaultBoundingBoxReference = new BoundingBox1d(-1, 1)`[static]`

BoundingBox1d IG::Gr3d::VtkCurvePlot::_boundsReference = DefaultBoundingBoxReference`[private]`

BoundingBox1d IG::Gr3d::VtkCurvePlot::_boundsPointValues`[private]`

IRealFunction IG::Gr3d::VtkCurvePlot::_functionX`[private]`

IRealFunction IG::Gr3d::VtkCurvePlot::_functionY`[private]`

IRealFunction IG::Gr3d::VtkCurvePlot::_functionZ`[private]`

IFunc2d IG::Gr3d::VtkCurvePlot::_funcAuxX`[private]`

IFunc2d IG::Gr3d::VtkCurvePlot::_funcAuxY`[private]`

IFunc3d IG::Gr3d::VtkCurvePlot::DefaultValueFunctionOfCoordinates = new Func3dZ()`[static]`

Default function that specifies how values assigned to points on the plotted curve are generated.

IFunc3d IG::Gr3d::VtkCurvePlot::_valueFunctionOfCoordinates = DefaultValueFunctionOfCoordinates

UnstructuredMesh1d3d IG::Gr3d::VtkCurvePlot::_mesh`[private]`

string IG::Gr3d::VtkCurvePlot::_valuesFieldName = DefaultValuesFieldName`[private]`

## Property Documentation

int IG::Gr3d::VtkCurvePlot::NumX`[get, set]`

Number of nodes of the plotted curve. Used for construction of curve when the it is defined by functions.

Default value can be changed by setting DefaultNumX.

BoundingBox1d IG::Gr3d::VtkCurvePlot::BoundsParameters`[get, set]`

Bounds on reference parameters used for generation of the surface grid.

BoundingBox1d IG::Gr3d::VtkCurvePlot::BoundsPointValues`[get, set]`

Bounds on values assigned to surface nodes.

IRealFunction IG::Gr3d::VtkCurvePlot::Function`[set]`

Sets function of 1 variables whose graph is plotted in the XY plane. The specified function represents explicit definition of the curve in 2 dimensions (positioned in the XY plane).

IRealFunction IG::Gr3d::VtkCurvePlot::FunctionX`[get, set]`

The first component of a 3D vector function of 1 parameter that acts as parametric definition of the plotted curve.

IRealFunction IG::Gr3d::VtkCurvePlot::FunctionY`[get, set]`

The second component of a 3D vector function of 1 parameters that acts as parametric definition of the plotted curve.

IRealFunction IG::Gr3d::VtkCurvePlot::FunctionZ`[get, set]`

The third component of a 3D vector function of 1 parameters that acts as parametric definition of the plotted curve.

IFunc3d IG::Gr3d::VtkCurvePlot::ValueFunctionOfCoordinates`[get, set]`

3D function that defines dependence of value assigned to points on the curve on coordinates of that point. This function is used to assign values to points on the curve, which can then be used for plotting curves in color.

UnstructuredMesh1d3d IG::Gr3d::VtkCurvePlot::Mesh`[get, set]`

string IG::Gr3d::VtkCurvePlot::ValuesFieldName`[get, set]`

Name of the scalar field on the mesh where values assigned to grid points are stored. These values are assigned to the

The documentation for this class was generated from the following file:

- VtkCurvePlot.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events